Changeset 436 for ThirdParty/Glpk


Ignore:
Timestamp:
Jul 25, 2007 10:46:01 PM (12 years ago)
Author:
stefan
Message:

lous changes on glpk setup

Location:
ThirdParty/Glpk/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r431 r436  
    77
    88If you are working under Unix/Linux-like system and you have `wget'
    9 installed, you can downloaded the required source code for GLPK
     9installed, you can download the required source code for GLPK
    1010by executing the included script `get.Glpk' in this directory.
    1111
     
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.17.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.19.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.17.tar.gz
    21 tar xf glpk-4.17.tar
     20gunzip glpk-4.19.tar.gz
     21tar xf glpk-4.19.tar
    2222
    23 After this, you need to apply the patch file:
    24 
    25 patch -p0 < glpk.patch
     23Finally you need to rename the directory
     24  glpk-4.19
     25into
     26  glpk
     27.
  • ThirdParty/Glpk/trunk/Makefile.am

    r433 r436  
    99EXTRA_DIST = get.GLPK
    1010
    11 if SKIPMAKE
     11if COIN_BUILD_GLPK
     12  noinst_LTLIBRARIES = libcoinglpk.la
     13else
    1214  noinst_LTLIBRARIES =
    13 else
    14   noinst_LTLIBRARIES = libcoinglpk.la
    1515endif
    1616
     
    7878$(GLPKDIR)/src/glpmip01.c \
    7979$(GLPKDIR)/src/glpmip02.c \
     80$(GLPKDIR)/src/glpmpl01.c \
     81$(GLPKDIR)/src/glpmpl02.c \
     82$(GLPKDIR)/src/glpmpl03.c \
     83$(GLPKDIR)/src/glpmpl04.c \
    8084$(GLPKDIR)/src/glpqmd.c \
    8185$(GLPKDIR)/src/glprng.c \
     
    8589$(GLPKDIR)/src/glpspx02.c \
    8690$(GLPKDIR)/src/glpssx01.c \
    87 $(GLPKDIR)/src/glpssx02.c
     91$(GLPKDIR)/src/glpssx02.c \
     92$(GLPKDIR)/src/glptsp.c
    8893
    8994DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)`
  • ThirdParty/Glpk/trunk/Makefile.in

    r433 r436  
    8484        glplpx14.lo glplpx15.lo glplpx16.lo glplpx17.lo glplpx18.lo \
    8585        glplpx19.lo glpluf.lo glplux.lo glpmat.lo glpmip01.lo \
    86         glpmip02.lo glpqmd.lo glprng.lo glpscf.lo glpscs.lo \
    87         glpspx01.lo glpspx02.lo glpssx01.lo glpssx02.lo
     86        glpmip02.lo glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo \
     87        glpqmd.lo glprng.lo glpscf.lo glpscs.lo glpspx01.lo \
     88        glpspx02.lo glpssx01.lo glpssx02.lo glptsp.lo
    8889libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    89 @SKIPMAKE_FALSE@am_libcoinglpk_la_rpath =
     90@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
    9091depcomp = $(SHELL) $(top_srcdir)/../../depcomp
    9192am__depfiles_maybe = depfiles
     
    155156FADDLIBS = @FADDLIBS@
    156157FFLAGS = @FFLAGS@
    157 GLPKCOINLIB = @GLPKCOINLIB@
    158158GLPKDIR = @GLPKDIR@
    159159GLPKINCDIR = @GLPKINCDIR@
     
    193193SET_MAKE = @SET_MAKE@
    194194SHELL = @SHELL@
    195 SKIPMAKE_FALSE = @SKIPMAKE_FALSE@
    196 SKIPMAKE_TRUE = @SKIPMAKE_TRUE@
    197195STRIP = @STRIP@
    198196VERSION = @VERSION@
     
    252250AUTOMAKE_OPTIONS = foreign
    253251EXTRA_DIST = get.GLPK $(am__append_1)
    254 @SKIPMAKE_FALSE@noinst_LTLIBRARIES = libcoinglpk.la
    255 @SKIPMAKE_TRUE@noinst_LTLIBRARIES =
     252@COIN_BUILD_GLPK_FALSE@noinst_LTLIBRARIES =
     253@COIN_BUILD_GLPK_TRUE@noinst_LTLIBRARIES = libcoinglpk.la
    256254nodist_libcoinglpk_la_SOURCES = \
    257255$(GLPKDIR)/src/glpapi01.c \
     
    315313$(GLPKDIR)/src/glpmip01.c \
    316314$(GLPKDIR)/src/glpmip02.c \
     315$(GLPKDIR)/src/glpmpl01.c \
     316$(GLPKDIR)/src/glpmpl02.c \
     317$(GLPKDIR)/src/glpmpl03.c \
     318$(GLPKDIR)/src/glpmpl04.c \
    317319$(GLPKDIR)/src/glpqmd.c \
    318320$(GLPKDIR)/src/glprng.c \
     
    322324$(GLPKDIR)/src/glpspx02.c \
    323325$(GLPKDIR)/src/glpssx01.c \
    324 $(GLPKDIR)/src/glpssx02.c
     326$(GLPKDIR)/src/glpssx02.c \
     327$(GLPKDIR)/src/glptsp.c
    325328
    326329DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)`
     
    449452@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmip01.Plo@am__quote@
    450453@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmip02.Plo@am__quote@
     454@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl01.Plo@am__quote@
     455@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl02.Plo@am__quote@
     456@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl03.Plo@am__quote@
     457@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl04.Plo@am__quote@
    451458@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
    452459@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprng.Plo@am__quote@
     
    457464@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpssx01.Plo@am__quote@
    458465@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpssx02.Plo@am__quote@
     466@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glptsp.Plo@am__quote@
    459467
    460468.c.o:
     
    899907@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmip02.lo `test -f '$(GLPKDIR)/src/glpmip02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmip02.c
    900908
     909glpmpl01.lo: $(GLPKDIR)/src/glpmpl01.c
     910@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmpl01.lo -MD -MP -MF "$(DEPDIR)/glpmpl01.Tpo" -c -o glpmpl01.lo `test -f '$(GLPKDIR)/src/glpmpl01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl01.c; \
     911@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmpl01.Tpo" "$(DEPDIR)/glpmpl01.Plo"; else rm -f "$(DEPDIR)/glpmpl01.Tpo"; exit 1; fi
     912@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmpl01.c' object='glpmpl01.lo' libtool=yes @AMDEPBACKSLASH@
     913@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     914@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl01.lo `test -f '$(GLPKDIR)/src/glpmpl01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl01.c
     915
     916glpmpl02.lo: $(GLPKDIR)/src/glpmpl02.c
     917@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmpl02.lo -MD -MP -MF "$(DEPDIR)/glpmpl02.Tpo" -c -o glpmpl02.lo `test -f '$(GLPKDIR)/src/glpmpl02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl02.c; \
     918@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmpl02.Tpo" "$(DEPDIR)/glpmpl02.Plo"; else rm -f "$(DEPDIR)/glpmpl02.Tpo"; exit 1; fi
     919@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmpl02.c' object='glpmpl02.lo' libtool=yes @AMDEPBACKSLASH@
     920@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     921@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl02.lo `test -f '$(GLPKDIR)/src/glpmpl02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl02.c
     922
     923glpmpl03.lo: $(GLPKDIR)/src/glpmpl03.c
     924@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmpl03.lo -MD -MP -MF "$(DEPDIR)/glpmpl03.Tpo" -c -o glpmpl03.lo `test -f '$(GLPKDIR)/src/glpmpl03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl03.c; \
     925@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmpl03.Tpo" "$(DEPDIR)/glpmpl03.Plo"; else rm -f "$(DEPDIR)/glpmpl03.Tpo"; exit 1; fi
     926@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmpl03.c' object='glpmpl03.lo' libtool=yes @AMDEPBACKSLASH@
     927@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     928@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl03.lo `test -f '$(GLPKDIR)/src/glpmpl03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl03.c
     929
     930glpmpl04.lo: $(GLPKDIR)/src/glpmpl04.c
     931@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmpl04.lo -MD -MP -MF "$(DEPDIR)/glpmpl04.Tpo" -c -o glpmpl04.lo `test -f '$(GLPKDIR)/src/glpmpl04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl04.c; \
     932@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmpl04.Tpo" "$(DEPDIR)/glpmpl04.Plo"; else rm -f "$(DEPDIR)/glpmpl04.Tpo"; exit 1; fi
     933@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmpl04.c' object='glpmpl04.lo' libtool=yes @AMDEPBACKSLASH@
     934@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     935@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl04.lo `test -f '$(GLPKDIR)/src/glpmpl04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl04.c
     936
    901937glpqmd.lo: $(GLPKDIR)/src/glpqmd.c
    902938@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpqmd.lo -MD -MP -MF "$(DEPDIR)/glpqmd.Tpo" -c -o glpqmd.lo `test -f '$(GLPKDIR)/src/glpqmd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpqmd.c; \
     
    954990@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    955991@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpssx02.lo `test -f '$(GLPKDIR)/src/glpssx02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpssx02.c
     992
     993glptsp.lo: $(GLPKDIR)/src/glptsp.c
     994@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glptsp.lo -MD -MP -MF "$(DEPDIR)/glptsp.Tpo" -c -o glptsp.lo `test -f '$(GLPKDIR)/src/glptsp.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glptsp.c; \
     995@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glptsp.Tpo" "$(DEPDIR)/glptsp.Plo"; else rm -f "$(DEPDIR)/glptsp.Tpo"; exit 1; fi
     996@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glptsp.c' object='glptsp.lo' libtool=yes @AMDEPBACKSLASH@
     997@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     998@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glptsp.lo `test -f '$(GLPKDIR)/src/glptsp.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glptsp.c
    956999
    9571000mostlyclean-libtool:
  • ThirdParty/Glpk/trunk/configure

    r430 r436  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GLPKCOINLIB COIN_BUILD_GLPK_TRUE COIN_BUILD_GLPK_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE COIN_BUILD_GLPK_TRUE COIN_BUILD_GLPK_FALSE MAKEOKFILE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    1971119711coin_glpksrcdir=$abs_source_dir/$coin_glpkobjdir
    1971219712
     19713use_thirdpartyglpk=no
     19714
     19715# Check for the requested component. If the user specified an external glpk
     19716# library don't force a ThirdParty build, let the error propagate.
     19717
    1971319718
    1971419719  echo "$as_me:$LINENO: checking if user provides library for Glpk" >&5
     
    1989419899
    1989519900
    19896 
    19897 MAKEOKFILE=.MakeOk
    19898 use_glpk="$GLPKLIB"
    19899 if test "$GLPKLIB" == ""; then
    19900 
     19901 if test x"$coin_has_glpk" = xfalse && test x"$GLPKLIB" = x ; then
     19902   use_thirdpartyglpk=try
     19903 fi
     19904
     19905
     19906# If the user has supplied an external library, use it. Otherwise, consider
     19907# a build in ThirdParty/Glpk. If we build, assume we get both glpk and gmpl.
     19908
     19909if test x"$use_thirdpartyglpk" = xtry ; then
     19910  MAKEOKFILE=.MakeOk
    1990119911  # Check if the Glpk's ThirdParty project has been configured
    1990219912  if test "$PACKAGE_NAME" != ThirdPartyGlpk; then
    1990319913    if test -r $coin_glpkobjdir/.MakeOk; then
    19904       use_glpk=BUILD
     19914      use_thirdpartyglpk=build
     19915    else
     19916      use_thirdpartyglpk=no
    1990519917    fi
     19918  else
     19919    use_thirdpartyglpk=build
    1990619920  fi
    19907 fi
    19908 
    19909 if test x"$use_glpk" == xBUILD; then
    19910 
    19911   GLPKCOINLIB=`cd $coin_glpkobjdir; pwd`/libcoinglpk.la
    19912 
    19913 
    19914   GLPKINCDIR="$coin_glpksrcdir/glpk/include"
     19921
     19922# If we're building, set the library and include directory variables, create a
     19923# preprocessor symbol, define a variable that says we're using glpk/gmpl, and
     19924# another to indicate a link check is a bad idea (hard to do before the library
     19925# exists).
     19926
     19927  if test x"$use_thirdpartyglpk" == xbuild ; then
     19928    GLPKLIB=`cd $coin_glpkobjdir; pwd`/libcoinglpk.la
     19929
     19930    ADDLIBS="$GLPKLIB $ADDLIBS"
     19931    GLPKINCDIR="$coin_glpksrcdir/glpk/include"
     19932
    1991519933
    1991619934cat >>confdefs.h <<\_ACEOF
     
    1991819936_ACEOF
    1991919937
    19920 
    19921   # This is a "true" for AM_CONDITIONAL(COIN_HAS_GLPK)
     19938    coin_has_glpk=true
     19939    glpk_libcheck=no
     19940    { echo "$as_me:$LINENO: Using Glpk in ThirdParty/Glpk" >&5
     19941echo "$as_me: Using Glpk in ThirdParty/Glpk" >&6;}
     19942  fi
     19943fi
     19944
     19945# Define the necessary automake conditionals.
     19946
     19947
     19948
     19949if test x"$coin_has_glpk" = xtrue; then
    1992219950  COIN_HAS_GLPK_TRUE=
    1992319951  COIN_HAS_GLPK_FALSE='#'
    19924 
    19925   coin_has_glpk=yes
    19926 
    19927   { echo "$as_me:$LINENO: Using Glpk in ThirdParty" >&5
    19928 echo "$as_me: Using Glpk in ThirdParty" >&6;}
    19929 fi
    19930 
    19931 
    19932 
    19933 if test x"$use_glpk" = xBUILD; then
     19952else
     19953  COIN_HAS_GLPK_TRUE='#'
     19954  COIN_HAS_GLPK_FALSE=
     19955fi
     19956
     19957
     19958
     19959if test x"$use_thirdpartyglpk" = xbuild; then
    1993419960  COIN_BUILD_GLPK_TRUE=
    1993519961  COIN_BUILD_GLPK_FALSE='#'
     
    1994319969
    1994419970rm -f $MAKEOKFILE
    19945 if test $coin_has_glpk = yes && test "$use_glpk" != BUILD; then
    19946   { echo "$as_me:$LINENO: The Glpk sources don't need to be compiled" >&5
     19971if test x"$use_thirdpartyglpk" = xbuild ; then
     19972  touch $MAKEOKFILE
     19973else
     19974  if test x$coin_has_glpk = xtrue ; then
     19975    { echo "$as_me:$LINENO: The Glpk sources don't need to be compiled" >&5
    1994719976echo "$as_me: The Glpk sources don't need to be compiled" >&6;}
     19977  else
     19978    { echo "$as_me:$LINENO: WARNING: Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?" >&5
     19979echo "$as_me: WARNING: Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?" >&2;}
     19980  fi
    1994819981  MAKEOKFILE=
    19949 else
    19950   touch $MAKEOKFILE
    19951 fi
    19952 
    19953 
    19954 
    19955 if test -z "$MAKEOKFILE"; then
    19956   SKIPMAKE_TRUE=
    19957   SKIPMAKE_FALSE='#'
    19958 else
    19959   SKIPMAKE_TRUE='#'
    19960   SKIPMAKE_FALSE=
    1996119982fi
    1996219983
     
    2019620217   { (exit 1); exit 1; }; }
    2019720218fi
     20219if test -z "${COIN_HAS_GLPK_TRUE}" && test -z "${COIN_HAS_GLPK_FALSE}"; then
     20220  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_GLPK\" was never defined.
     20221Usually this means the macro was only invoked conditionally." >&5
     20222echo "$as_me: error: conditional \"COIN_HAS_GLPK\" was never defined.
     20223Usually this means the macro was only invoked conditionally." >&2;}
     20224   { (exit 1); exit 1; }; }
     20225fi
    2019820226if test -z "${COIN_BUILD_GLPK_TRUE}" && test -z "${COIN_BUILD_GLPK_FALSE}"; then
    2019920227  { { echo "$as_me:$LINENO: error: conditional \"COIN_BUILD_GLPK\" was never defined.
    2020020228Usually this means the macro was only invoked conditionally." >&5
    2020120229echo "$as_me: error: conditional \"COIN_BUILD_GLPK\" was never defined.
    20202 Usually this means the macro was only invoked conditionally." >&2;}
    20203    { (exit 1); exit 1; }; }
    20204 fi
    20205 if test -z "${SKIPMAKE_TRUE}" && test -z "${SKIPMAKE_FALSE}"; then
    20206   { { echo "$as_me:$LINENO: error: conditional \"SKIPMAKE\" was never defined.
    20207 Usually this means the macro was only invoked conditionally." >&5
    20208 echo "$as_me: error: conditional \"SKIPMAKE\" was never defined.
    2020920230Usually this means the macro was only invoked conditionally." >&2;}
    2021020231   { (exit 1); exit 1; }; }
     
    2083220853s,@COIN_HAS_GLPK_TRUE@,$COIN_HAS_GLPK_TRUE,;t t
    2083320854s,@COIN_HAS_GLPK_FALSE@,$COIN_HAS_GLPK_FALSE,;t t
    20834 s,@GLPKCOINLIB@,$GLPKCOINLIB,;t t
    2083520855s,@COIN_BUILD_GLPK_TRUE@,$COIN_BUILD_GLPK_TRUE,;t t
    2083620856s,@COIN_BUILD_GLPK_FALSE@,$COIN_BUILD_GLPK_FALSE,;t t
    2083720857s,@MAKEOKFILE@,$MAKEOKFILE,;t t
    20838 s,@SKIPMAKE_TRUE@,$SKIPMAKE_TRUE,;t t
    20839 s,@SKIPMAKE_FALSE@,$SKIPMAKE_FALSE,;t t
    2084020858s,@GLPKDIR@,$GLPKDIR,;t t
    2084120859s,@LIBEXT@,$LIBEXT,;t t
  • ThirdParty/Glpk/trunk/configure.ac

    r430 r436  
    6262
    6363## Check if GLPK is already provided by user
    64 AC_COIN_HAS_GLPK
     64AC_COIN_HAS_GLPK(Glpk)
    6565
    6666rm -f $MAKEOKFILE
    67 if test $coin_has_glpk = yes && test "$use_glpk" != BUILD; then
    68   AC_MSG_NOTICE([The Glpk sources don't need to be compiled])
     67if test x"$use_thirdpartyglpk" = xbuild ; then
     68  touch $MAKEOKFILE
     69else
     70  if test x$coin_has_glpk = xtrue ; then
     71    AC_MSG_NOTICE([The Glpk sources don't need to be compiled])
     72  else
     73    AC_MSG_WARN([Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?])
     74  fi
    6975  MAKEOKFILE=
    70 else
    71   touch $MAKEOKFILE
    7276fi
    7377AC_SUBST(MAKEOKFILE)
    74 AM_CONDITIONAL(SKIPMAKE, test -z "$MAKEOKFILE")
    7578
    7679GLPKDIR=glpk
  • ThirdParty/Glpk/trunk/get.Glpk

    r433 r436  
    1111
    1212echo " "
    13 echo "Running script for downloading the source code for GLPK"
     13echo "Running script to download the source code for GLPK $glpk_ver."
    1414echo " "
    1515
     
    2121echo "Uncompressing the tarball..."
    2222gunzip -f glpk-${glpk_ver}.tar.gz
     23
     24
     25if test -d glpk ; then
     26  echo "Moving current glpk to glpk.OLD."
     27  if test -d glpk.OLD ; then
     28    rm -rf glpk.OLD
     29  fi
     30  mv glpk glpk.OLD
     31fi
    2332
    2433echo "Unpacking the source code..."
Note: See TracChangeset for help on using the changeset viewer.